#
# Conditional build:
%bcond_without	apidocs	# gtk-doc based API documentation
%bcond_without	vala	# Vala API

Summary:	UPnP library based on GObject and libsoup
Summary(pl.UTF-8):	Biblioteka UPnP oparta na bibliotekach GObject i libsoup
Name:		gupnp
# note: 1.4.x is stable, 1.5.x unstable
Version:	1.4.1
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	https://download.gnome.org/sources/gupnp/1.4/%{name}-%{version}.tar.xz
# Source0-md5:	0d99c1e9ee88d43f4b72a7f9d5c8e55e
URL:		https://wiki.gnome.org/Projects/GUPnP
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-dtd44-xml
BuildRequires:	glib2-devel >= 1:2.66
BuildRequires:	gobject-introspection-devel >= 1.36.0
BuildRequires:	gssdp-devel >= 1.3.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.14}
BuildRequires:	libsoup-devel >= 2.48.0
BuildRequires:	libuuid-devel >= 1.36
BuildRequires:	libxml2-devel >= 1:2.6.30
BuildRequires:	meson >= 0.54.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
%{?with_vala:BuildRequires:	vala >= 2:0.20}
%{?with_vala:BuildRequires:	vala-gssdp >= 1.3.0}
BuildRequires:	xz
Requires:	glib2 >= 1:2.66
Requires:	gssdp >= 1.3.0
Requires:	libsoup >= 2.48.0
Requires:	libuuid >= 1.36
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

%description -l pl.UTF-8
GUPnp to zorientowany obiektowo, mający otwarte źródła szkielet do
tworzenia urządzeń i punktów sterujących UPnP, napisany w C z użyciem
bibliotek GObject i libsoup. API GUPnp ma być łatwe w użyciu, wydajne
i elastyczne.

%package devel
Summary:	Header files for gupnp
Summary(pl.UTF-8):	Pliki nagłówkowe gupnp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.66
Requires:	gssdp-devel >= 1.3.0
Requires:	libsoup-devel >= 2.48.0
Requires:	libuuid-devel >= 1.36
Requires:	libxml2-devel >= 1:2.6.30

%description devel
This package contains header files for the Linux SDK for UPnP Devices
(gupnp).

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe dla linuksowego pakietu
programistycznego do urządzeń UPnP (gupnp).

%package static
Summary:	Static gupnp libraries
Summary(pl.UTF-8):	Statyczne biblioteki gupnp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gupnp libraries.

%description static -l pl.UTF-8
Statyczne biblioteki gupnp.

%package apidocs
Summary:	gupnp API documentation
Summary(pl.UTF-8):	Dokumentacja API gupnp
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
gupnp API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API gupnp.

%package -n vala-gupnp
Summary:	Vala API for gupnp library
Summary(pl.UTF-8):	API języka Vala dla biblioteki gupnp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.20
Requires:	vala-gssdp >= 1.3.0
BuildArch:	noarch

%description -n vala-gupnp
Vala API for gupnp library.

%description -n vala-gupnp -l pl.UTF-8
API języka Vala dla biblioteki gupnp.

%prep
%setup -q

%{__sed} -i -e '1s,/usr/bin/env python3,%{__python3},' tools/gupnp-binding-tool-1.2

%build
%meson build \
	-Dcontext_manager=network-manager \
	%{?with_apidocs:-Dgtk_doc=true}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/gupnp-binding-tool-1.2
%attr(755,root,root) %{_libdir}/libgupnp-1.2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgupnp-1.2.so.1
%{_libdir}/girepository-1.0/GUPnP-1.2.typelib
%{_mandir}/man1/gupnp-binding-tool-1.2.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgupnp-1.2.so
%{_datadir}/gir-1.0/GUPnP-1.2.gir
%{_includedir}/gupnp-1.2
%{_pkgconfigdir}/gupnp-1.2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgupnp-1.2.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gupnp
%endif

%if %{with vala}
%files -n vala-gupnp
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gupnp-1.2.deps
%{_datadir}/vala/vapi/gupnp-1.2.vapi
%endif
%changelog
* Tue Dec 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gupnp.git;a=log;h=master

* Tue Dec 07 2021 Jakub Bogusz <qboosh@pld-linux.org> f150a4a
- updated to 1.4.1

* Sun Sep 19 2021 Jakub Bogusz <qboosh@pld-linux.org> e7cd5e1
- updated to 1.4.0

* Mon Jun 07 2021 Jakub Bogusz <qboosh@pld-linux.org> e5d575d
- updated to 1.2.7
- removed obsolete format patch

* Sun May 30 2021 Jakub Bogusz <qboosh@pld-linux.org> 6008d9e
- updated to 1.2.6
- added format patch (add format strings in example)

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 97da729
- unconditional noarch subpackages

* Mon Aug 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 2915b4a
- updated to 1.2.4

* Tue Jun 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 3bbf163
- updated to 1.2.3 (partial fix + mitigations for CVE-2020-12695)

* Fri Jan 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 43309f6
- updated to 1.2.2

* Wed Oct 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 9549eb8
- updated to 1.2.1

* Wed Apr 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 15b1a2f
- updated to 1.2.0 (note: new library name); now uses meson

* Sun Dec 09 2018 Jakub Bogusz <qboosh@pld-linux.org> a7fc46a
- updated to 1.0.3

* Tue Mar 21 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 3f33950
- Update to 1.0.2

* Tue Oct 18 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 771612f
- Update to 1.0.1

* Wed Aug 03 2016 Jakub Bogusz <qboosh@pld-linux.org> e3680ae
- updated to 0.20.18

* Wed May 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 6776809
- updated to 0.20.17

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> ef09a65
- noarch vala subpackage

* Wed Feb 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 204e4a4
- updated to 0.20.16

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> ce2eaf0
- noarch apidoc

* Fri Jan 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 7dee817
- updated to 0.20.15

* Wed May 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 31d6e87
- updated to 0.20.14

